<?php
	$P_C="CboEmp";
	//+++++
	$LIMPIAR=0;	
	//+++++
	$StrEmp=V($_POST['CboEmp']);
	$StrAlm=V($_POST['CboAlm']);
	$StrFec=V($_POST['TxtFec']);
	$StrNum=V($_POST['TxtNum']);
	$StrCli=V($_POST['TxtCli']);
	$StrTot=vbval(V($_POST['TxtTot']));
	$StrAde=vbval(V($_POST['TxtAde']));
	$StrAcu=vbval(V($_POST['TxtAcu']));
	$StrSal=vbval(V($_POST['TxtSal']));
	$StrUsa=vbval(V($_POST['TxtUsa']));
	$StrTad=V($_POST['CboTad']);
	//
	if(strlen($StrEmp)==0)$StrEmp=GE("N");
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){$StrId="";
		}else{
			$StrCmd="AR";$LStrPag=V($_GET['Pag']);if(!is_numeric($LStrPag)){$LStrPag="";
		}}}
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrCmd)==0){
		$StrFec=date("d-m-y");
	}
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrEmp=gs("EMPC","vis_contratos","ID=$Id");
		$StrAlm=gs("ALM_NC","vis_contratos","ID=$Id");
		$StrFec=gs("DATE_FORMAT(FEC,'%d-%m-%y')","vis_contratos","ID=$Id");
		$StrNum=gs("NUM","vis_contratos","ID=$Id");
		$StrCli=gs("CLI","vis_contratos","ID=$Id");
		$StrTot=gn("TOT","vis_contratos","ID=$Id");
		$StrAde=gn("ADE","vis_contratos","ID=$Id");
		$StrAcu=gn("ACU","vis_contratos","ID=$Id");
		$StrSal=gn("SAL","vis_contratos","ID=$Id");
		$StrUsa=gn("USA","vis_contratos","ID=$Id");
		$StrTad=gn("TIP_A","vis_contratos","ID=$Id");	
		$StrAku=gn("SUM(ci_total)","contratos_ingresos","ci_id_contrato=$StrId");	
		//		
		$LStrFoc="document.getElementById('$P_C').focus();";		
		$StrGT="S";
	}
	//	
	if($StrCmd=="G" || $StrCmd=="M"){		
		$StrFec_=ToDate($StrFec);
		$StrCli_=gn("id_cliente","clientes","cli_nombre='$StrCli'");
		$StrEmp_=gn("id_emp","empresas","emp_nomc='$StrEmp'");
		$StrAlm_=gn("id_almacen","almacenes","alm_obs='$StrAlm' AND alm_id_empresa=$StrEmp_");		
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G"){
		if(gn("count(*)","contratos",
			  "con_numero='$StrNum' AND con_id_empresa=$StrEmp_")>0){
			$LStrMsg="Numero de contrato ya registrado";
			$LStrFoc="document.getElementById('TxtNum').focus();";		
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			$Id=GenId("id_contrato","contratos");		
			$GII=GenGI();//
			$s="INSERT INTO contratos VALUES ".
			   "($Id,'$StrFec_','$StrNum',$StrCli_,$StrTot,
			   $StrAde,$StrAcu,$StrSal,".GetIDU().",$GII,0,'$StrTad',$StrEmp_,$StrAlm_)";
			ejt($s);
			//BIT
			$_BIT_MOD_ID=$Id;
			$_BIT_SQL_CAB=$s;
			$_BIT_SQL_DET="";
			$_BIT_PHP="contratos.php";
			$_BIT_ID=BIT_ADD("VENTAS","CONTRATOS","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,$s);
			//BIT			
			$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('$P_C').focus();";		
			$StrGT="S";
			$LIMPIAR=1;
		}
	}
	//++
	if($StrCmd=="M"){
		$StrUsa=gn("con_usado","contratos","id_contrato=$StrId");
		if($StrUsa>0){			
			$LStrMsg="Parte de cobro del presente contrato ha sido ".
			         "usado para pagar una venta/proforma. ".
					 "Por lo tanto no se puede modificar";
			$LStrFoc="document.getElementById('TxtNum').focus();";		
			$StrGT="S";			
		}
		if(strlen($StrGT)==0){		
			if(gn("count(*)","contratos_ingresos","ci_id_contrato=$StrId")>0){
				$LStrMsg="Uno o mas cobros efectuados, por lo ".
				         "tanto no se puede modificar";
				$LStrFoc="document.getElementById('TxtNum').focus();";		
				$StrGT="S";
			}
		}
		if(strlen($StrGT)==0){
			if(gn("count(*)","contratos",
				  "con_numero='$StrNum' AND con_id_empresa=$StrEmp_ AND id_contrato<>$StrId")>0){
				$LStrMsg="Numero de contrato ya registrado";
				$LStrFoc="document.getElementById('TxtNum').focus();";		
				$StrGT="S";
			}
		}
		if(strlen($StrGT)==0){
			$s="UPDATE contratos SET ".
			   "con_fecha='$StrFec_',con_numero='$StrNum',".
			   "con_id_cliente=$StrCli_,con_total=$StrTot,
			    con_adelanto=$StrAde,
			    con_acuenta=$StrAcu,
				tip_tip_adelanto='$StrTad',
			    con_saldo=$StrSal,con_usado=0,
				con_id_empresa=$StrEmp_,con_id_usario=".GetIDU().",con_id_alm=$StrAlm_ 
				WHERE id_contrato=$StrId";
			ejt($s);
			//BIT
			$_BIT_MOD_ID=$StrId;
			$_BIT_SQL_CAB=$s;
			$_BIT_SQL_DET="";
			$_BIT_PHP="contratos.php";
			$_BIT_ID=BIT_ADD("VENTAS","CONTRATOS","MODIFICAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,$s);
			//BIT	
			$LStrMsg="Datos actualizados";
			$LStrFoc="document.getElementById('$P_C').focus();";		
			$StrGT="S";
			$LIMPIAR=1;
		}
	}
	//
	if($StrCmd=="E"){
		if($POL_USU_PER_ELI==0){
			$LStrMsg="El usuario no tiene los permisos para esta accion";
			$LStrFoc="document.getElementById('TxtNum').focus();";		
			$StrGT="S";
		}
		if(strlen($StrGT)==0){	
			$StrUsa=gn("con_usado","contratos","id_contrato=$StrId");
			if($StrUsa>0){			
				$LStrMsg="Parte de cobro del presente contrato ha sido ".
						 "usado para pagar una venta/proforma. Por lo tanto no se puede eliminar";
				$LStrFoc="document.getElementById('TxtNum').focus();";		
				$StrGT="S";			
			}
		}
		if(strlen($StrGT)==0){		
			if(gn("count(*)","contratos_ingresos","ci_id_contrato=$StrId")>0){
				$LStrMsg="Uno o mas cobros efectuados, por lo tanto no se puede eliminar";
				$LStrFoc="document.getElementById('TxtNum').focus();";		
				$StrGT="S";
			}
		}
		if(strlen($StrGT)==0){			
			$s="DELETE FROM contratos WHERE id_contrato=$StrId";	
			ejt($s);
			//BIT
			$_BIT_MOD_ID=$StrId;
			$_BIT_SQL_CAB=$s;
			$_BIT_SQL_DET="";
			$_BIT_PHP="contratos.php";
			$_BIT_ID=BIT_ADD("VENTAS","CONTRATOS","ELIMINAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,$s);
			//BIT	
			$LStrMsg="Registro Eliminado";
			$LStrFoc="document.getElementById('$P_C').focus();";
			$StrGT="S";
			$LIMPIAR=1;
		}		
	}
	//
	if($LIMPIAR==1){
		$StrId="";		
		$StrFec=date("d-m-y");		
		$StrNum="";
		$StrCli="";
		$StrTot="";
		$StrAde="";
		$StrAcu="";
		$StrSal="";
		$StrUsa="";
		$StrAku=0;
		$StrAlm="";
	}
	//
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('$P_C').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}

?>